%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname wrongdoc
%global rubyabi 1.8
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}


Summary: RDoc done right (IMNSHO)
Name: rubygem-%{gemname}
Version: 1.6.1
Release: 1%{?dist}
Group: Development/Languages
License: GPLv3
URL: http://bogomips.org/wrongdoc/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: ruby 
Requires: rubygem(nokogiri) 
Requires: rubygem(tidy_ffi) 
Requires: rubygem(rdoc) 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
wrongdoc mangles an existing RDoc directory and makes any changes we
feel like.  It mainly removes JavaScript from Darkfish and adds links to
a {cgit}[http://hjemli.net/git/cgit/] instance.  It is a bikeshed
project and *entirely* subject to the whims of its creator, so it is
likely the wrong solution for anybody else.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man5

find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

# Remove build leftovers, zero-lengths
rm  %{buildroot}%{geminstdir}/.manifest
rm  %{buildroot}%{geminstdir}/.document
rm  %{buildroot}%{geminstdir}/.gitignore
rm  %{buildroot}%{geminstdir}/.wrongdoc.yml
rm  %{buildroot}%{geminstdir}/Documentation/.gitignore
rm  %{buildroot}%{geminstdir}/Documentation/GNUmakefile
rm  %{buildroot}%{geminstdir}/Documentation/dotwrongdoc.5.ronn
rm  %{buildroot}%{geminstdir}/Documentation/wrongdoc.1.ronn
rm  %{buildroot}%{geminstdir}/GIT-VERSION-FILE
rm  %{buildroot}%{geminstdir}/GIT-VERSION-GEN
rm  %{buildroot}%{geminstdir}/GNUmakefile
rm  %{buildroot}%{geminstdir}/pkg.mk
rm  %{buildroot}%{geminstdir}/setup.rb
rm  %{buildroot}%{geminstdir}/wrongdoc.gemspec
rm  %{buildroot}%{geminstdir}/wrongdoc.sh
rm  %{buildroot}%{geminstdir}/dotwrongdoc_5
rm  %{buildroot}%{geminstdir}/wrongdoc_1

# Move man pages to the right location
mv %{buildroot}%{geminstdir}/man/man1/wrongdoc.1 %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{geminstdir}/man/man5/dotwrongdoc.5 %{buildroot}%{_mandir}/man5/

# Adjusting some file permissions
chmod a+r %{buildroot}%{geminstdir}/NEWS
chmod a+r %{buildroot}%{geminstdir}/ChangeLog

%files
%dir %{geminstdir}
%{_bindir}/wrongdoc
%{geminstdir}/bin
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/LICENSE

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/lib/wrongdoc.rb
%doc %{geminstdir}/lib/wrongdoc/changelog.rb
%doc %{geminstdir}/lib/wrongdoc/final.rb
%doc %{geminstdir}/lib/wrongdoc/gemspec.rb
%doc %{geminstdir}/lib/wrongdoc/history.rb
%doc %{geminstdir}/lib/wrongdoc/merge.rb
%doc %{geminstdir}/lib/wrongdoc/news_atom.rb
%doc %{geminstdir}/lib/wrongdoc/news_rdoc.rb
%doc %{geminstdir}/lib/wrongdoc/parse_xml.rb
%doc %{geminstdir}/lib/wrongdoc/prepare.rb
%doc %{geminstdir}/lib/wrongdoc/rdoc.rb
%doc %{geminstdir}/lib/wrongdoc/rdoc_options.rb
%doc %{geminstdir}/lib/wrongdoc/readme.rb
%doc %{geminstdir}/lib/wrongdoc/release.rb
%doc %{geminstdir}/NEWS
%doc %{geminstdir}/README
%doc %{geminstdir}/LATEST
%doc %{_mandir}/man1/wrongdoc.1.gz
%doc %{_mandir}/man5/dotwrongdoc.5.gz
#%%doc %%{geminstdir}/dotwrongdoc_5 << zero-length
#%%doc %%{geminstdir}/wrongdoc_1 << zero-length


%changelog
* Mon Jan 16 2012 Guillermo <gomix@movix.fedora-ve.org> - 1.6.1-1
- Initial package
